Subject: Re: 2.5.5-1 rsync hangs
From: Sudheer Tumuluru <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 23 Sep 2002 13:06:22 -0700

I am having the same problem with rsync 2.5.5-1. I am
trying to rsync a couple of short text files between a linux server and
Win2k Professional boxes with cygwin. About 20% of the time, rsync freezes
at the end of the transfer, and I can't kill the rsync process in
cygwin even if I give it a 9 (SIGTERM) signal. This happens mostly on dual-processor
machines but it did happen once on the single proc machine as well.

     I rummaged through the mailing list and saw messages as old as Nov.
2001 (version 2.4.x) but did not find any announcement about a fix. Is
this a known bug in 2.5.5-1, and if so, is there a fix. I can provide
additional debugging info. if needed.

Thanks,
Sudheer T

     > I have problem with rsync that hangs.

     > This is the last lines from the log-file.
     > WebServices/jwsdp-1_0_01/xsl/textFormatForVerifierSS.xsl is
     uptodate
     > total: matches=0  tag_hits=0  false_alarms=0 data=0
     > wrote 94043 bytes  read 20 bytes  4.02 bytes/sec

     > This is the script i'm using
     > #! /bin/sh
     > #uncoment next line for testing
     > #set -x
     > LOCAL=/cygdrive/d/gb
     > REMOTE=/cygdrive/g/gb
     > LOG=/cygdrive/h/log/rsyncgb.log
     > echo rsync of $LOCAL to $REMOTE started `date` > $LOG
     > cd $LOCAL
     > for DIR in *
     > do
     >   echo sync $DIR started >> $LOG
     >   rsync --archive --verbose --verbose --delete $DIR $REMOTE
     >> "$LOG"
     >   echo sync $DIR done >> $LOG
     > done
     > echo rsync of $LOCAL to $REMOTE done `date` >> $LOG

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/